"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RecordList_1 = require("./_RecordList");
const _MergedDatasetNameList_1 = require("./_MergedDatasetNameList");
exports.ListRecordsOutput = {
    type: "structure",
    required: [],
    members: {
        Records: {
            shape: _RecordList_1._RecordList
        },
        NextToken: {
            shape: {
                type: "string"
            }
        },
        Count: {
            shape: {
                type: "integer"
            }
        },
        DatasetSyncCount: {
            shape: {
                type: "integer"
            }
        },
        LastModifiedBy: {
            shape: {
                type: "string"
            }
        },
        MergedDatasetNames: {
            shape: _MergedDatasetNameList_1._MergedDatasetNameList
        },
        DatasetExists: {
            shape: {
                type: "boolean"
            }
        },
        DatasetDeletedAfterRequestedSyncCount: {
            shape: {
                type: "boolean"
            }
        },
        SyncSessionToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ListRecordsOutput.js.map