"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegisterDeviceInput = {
    type: "structure",
    required: ["IdentityPoolId", "IdentityId", "Platform", "Token"],
    members: {
        IdentityPoolId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "IdentityPoolId"
        },
        IdentityId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "IdentityId"
        },
        Platform: {
            shape: {
                type: "string"
            }
        },
        Token: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=RegisterDeviceInput.js.map