"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Dataset = {
    type: "structure",
    required: [],
    members: {
        IdentityId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DatasetName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CreationDate: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedDate: {
            shape: {
                type: "timestamp"
            }
        },
        LastModifiedBy: {
            shape: {
                type: "string"
            }
        },
        DataStorage: {
            shape: {
                type: "integer"
            }
        },
        NumRecords: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=_Dataset.js.map