/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetIdentityPoolConfigurationInput } from "../types/GetIdentityPoolConfigurationInput";
import { GetIdentityPoolConfigurationOutput } from "../types/GetIdentityPoolConfigurationOutput";
import { CognitoSyncResolvedConfiguration } from "../CognitoSyncConfiguration";
export * from "../types/GetIdentityPoolConfigurationInput";
export * from "../types/GetIdentityPoolConfigurationOutput";
export * from "../types/GetIdentityPoolConfigurationExceptionsUnion";
export declare class GetIdentityPoolConfigurationCommand implements __aws_sdk_types.Command<InputTypesUnion, GetIdentityPoolConfigurationInput, OutputTypesUnion, GetIdentityPoolConfigurationOutput, CognitoSyncResolvedConfiguration, _stream.Readable> {
    readonly input: GetIdentityPoolConfigurationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetIdentityPoolConfigurationInput, GetIdentityPoolConfigurationOutput, _stream.Readable>;
    constructor(input: GetIdentityPoolConfigurationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: CognitoSyncResolvedConfiguration): __aws_sdk_types.Handler<GetIdentityPoolConfigurationInput, GetIdentityPoolConfigurationOutput>;
}
